Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.transaction
Class ChangeSetBackedTransactionSynchronization

    java.lang.Object
      org.springframework.data.transaction.ChangeSetBackedTransactionSynchronization

All Implemented Interfaces:
  TransactionSynchronization

    public class ChangeSetBackedTransactionSynchronization

extends Object
implements TransactionSynchronization

Field Summary
`protected org.apache.commons.logging.Log` | `log`

Fields inherited from interface org.springframework.transaction.support.TransactionSynchronization
`STATUS_COMMITTED, STATUS_ROLLED_BACK, STATUS_UNKNOWN`

Constructor Summary
`ChangeSetBackedTransactionSynchronization(ChangeSetPersister<Object> changeSetPersister, ChangeSetBacked entity)`

Method Summary
`void` | `afterCommit()`
`void` | `afterCompletion(int status)`
`void` | `beforeCommit(boolean readOnly)`
`void` | `beforeCompletion()`
`void` | `flush()`
`void` | `resume()`
`void` | `suspend()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected final org.apache.commons.logging.Log log

Constructor Detail

### ChangeSetBackedTransactionSynchronization

    public ChangeSetBackedTransactionSynchronization(ChangeSetPersister<Object> changeSetPersister,
                                                     ChangeSetBacked entity)

Method Detail

### afterCommit

    public void afterCommit()

  Specified by:
    `afterCommit` in interface `TransactionSynchronization`

### afterCompletion

    public void afterCompletion(int status)

  Specified by:
    `afterCompletion` in interface `TransactionSynchronization`

### beforeCommit

    public void beforeCommit(boolean readOnly)

  Specified by:
    `beforeCommit` in interface `TransactionSynchronization`

### beforeCompletion

    public void beforeCompletion()

  Specified by:
    `beforeCompletion` in interface `TransactionSynchronization`

### flush

    public void flush()

  Specified by:
    `flush` in interface `TransactionSynchronization`

### resume

    public void resume()

  Specified by:
    `resume` in interface `TransactionSynchronization`

### suspend

    public void suspend()

  Specified by:
    `suspend` in interface `TransactionSynchronization`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.